import time, board, pwmio
from math import exp, pow
led = pwmio.PWMOut(board.LED, frequency=5000, duty_cycle=0)
gamma = 0.14
beta = 0.5
n_pts = 500
while True:
    for i in range(n_pts):
        pwm_val = 65535*(exp(-(pow(((i/n_pts)-beta)/gamma,2.0))/2.0))
        led.duty_cycle = int(pwm_val)
        time.sleep(0.01)
