from digitalio import *              # DigitalInOut,Direction,
import time, board                   # Pull,DriveMode

led = DigitalInOut(board.LED)        # Builtin LED (D2)
led.direction = Direction.OUTPUT 
led.drive_mode = DriveMode.PUSH_PULL
led.value = False                    # Initially OFF

button = DigitalInOut(board.D5)      # Pusbutton (D5)
button.direction = Direction.INPUT
button.pull = Pull.UP

while True:
    while button.value: pass         # Wait for keypress
    led.value = not led.value        # Flip LED state
    time.sleep(0.02)
    while not button.value:          # Wait for key release
        pass    
    time.sleep(0.02)
